import grovepi
import time

ultrasonic_ranger = 4  # D4

print("Testing ultrasonic sensor on D4...")

try:
    while True:
        distance = grovepi.ultrasonicRead(ultrasonic_ranger)
        if distance == 0 or distance == 504:
            print("No object detected or timeout (504 cm)")
        else:
            print(f"Object at: {distance} cm")
        time.sleep(0.5)

except KeyboardInterrupt:
    print("Stopping test.")
except IOError as e:
    print(f"I/O error: {e}")
